summaryrefslogtreecommitdiff
path: root/polly/utils
diff options
context:
space:
mode:
authorTobias Grosser <tobias@grosser.es>2013-11-28 23:35:08 +0000
committerTobias Grosser <tobias@grosser.es>2013-11-28 23:35:08 +0000
commit2cbc7bf64a9fca50e1cad67e157ec8ddf5f31ad8 (patch)
treec96b9f29ebeb8263b2f739724f9ae27c4cab8172 /polly/utils
parentc454964c4721c84ea619d7d70e26c356eb083482 (diff)
downloadllvm-2cbc7bf64a9fca50e1cad67e157ec8ddf5f31ad8.tar.gz
(re)enable formatting checks
llvm-svn: 195935
Diffstat (limited to 'polly/utils')
-rwxr-xr-xpolly/utils/check_format.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/polly/utils/check_format.sh b/polly/utils/check_format.sh
index b44432553e2f..120a6a24af62 100755
--- a/polly/utils/check_format.sh
+++ b/polly/utils/check_format.sh
@@ -6,8 +6,7 @@ if [ "${CLANG_FORMAT}x" = "x" ]; then
CLANG_FORMAT=`which clang-format`
if [ "${CLANG_FORMAT}x" = "x" ]; then
echo "Error: cannot find clang-format in your path"
- # Disable error reporting to silence the buildbots
- exit 0
+ exit 1
fi
fi
@@ -24,7 +23,7 @@ for ARG in "$@"
if [[ $OK -eq "1" ]]; then
echo "Error: clang-format reported formatting differences"
- exit 0
+ exit 1
else
echo "OK: clang-format reported no formatting differences"
exit 0